curl --request GET \
--url https://app.sandbox.rio.trade/api/users \
--header 'x-api-key: <api-key>'import requests
url = "https://app.sandbox.rio.trade/api/users"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.sandbox.rio.trade/api/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"individualData": {
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>"
},
"businessData": {
"businessName": "<string>"
},
"createdAt": "2024-05-29T15:36:03.225Z",
"type": "business",
"email": "testing@rio.trade",
"brokerId": "66562bc04fe8bf83c577c178",
"onboarding": {
"status": "none",
"country": "MX",
"hasAcceptedTerms": true
},
"id": "66574b634fe8bf83c57813ac",
"platformFeeRanges": {
"MX": {
"buy": [
{
"min": 123,
"max": 123,
"fee": 123,
"nextDaySettlementFee": 123,
"_id": "<string>"
}
],
"sell": [
{
"min": 123,
"max": 123,
"fee": 123,
"nextDaySettlementFee": 123,
"_id": "<string>"
}
]
},
"PE": {
"buy": [
{}
],
"sell": [
{}
]
},
"CO": {
"buy": [
{}
],
"sell": [
{}
]
}
},
"accumulatedVolumeInUSD": {
"MX": {
"buy": 123,
"sell": 123
},
"PE": {
"buy": 123,
"sell": 123
}
},
"attributes": [
"<string>"
],
"serviceFee": {
"MX": {
"buy": 123,
"sell": 123
},
"PE": {
"buy": 123,
"sell": 123
}
}
}
]{
"errors": [
{
"code": 19,
"message": "Not authorized"
}
]
}Get all users
Additional information.
Click here to see the schema
Click here to see the schema
{
"platformFeeRanges": {
"MX": {
"buy": [],
"sell": []
},
"PE": {
"buy": [],
"sell": []
},
"CO": {
"buy": [],
"sell": []
}
},
"invoicing": {
"MX": {
"fiscalRegimenCode": 605
}
},
"individualData": {
"firstName": "Name",
"middleName": "Middle",
"lastName": "Last",
"birthday": "1988-06-06T00:00:00.000Z"
},
"createdAt": "2024-05-28T19:08:48.590Z",
"type": "individual",
"phoneNumber": "+526589562354",
"email": "testing@rio.trade",
"address": {
"street1": "Street",
"street2": "Street",
"city": "City",
"state": "State",
"country": "MX",
"postalCode": "12345"
},
"onboarding": {
"country": "MX",
"status": "approved",
"hasAcceptedTerms": true
},
"id": "66562bc04fe8bf83c577c178"
}
Authorizations
Query Parameters
Type of user by which you want to filter.
business, individual Id of the broker for which you want to get the list of users.
"655f4084b96e4fb76f5a0e6e"
Allows you to search for any text.
"Name"
Id of the user for which you want to get the list of users.
"665f4084b96e4fb76f5a0e0c"
First name of the individual to be searched.
Last name of the individual to be searched.
Name of the business to be searched.
Onboarding status by which you want to filter.
none, onboarding, review, approved, declined Used to specify the current page you want to get in the paging results.
Used to specify the maximum number of records to be returned on a single page.
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Creation date of the user.
"2024-05-29T15:36:03.225Z"
Type of the user.
business, individual Email of the user.
"testing@rio.trade"
Broker ID of the user.
"66562bc04fe8bf83c577c178"
Show child attributes
Show child attributes
ID of the user.
"66574b634fe8bf83c57813ac"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
User attributes
Show child attributes
Show child attributes